io.vertx.ext.hawkular

## Class AuthenticationOptions

- java.lang.Object
- - io.vertx.ext.hawkular.AuthenticationOptions

-     public class AuthenticationOptions
      extends Object

  Authentication options.
  Author:
    Thomas Segismont

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `DEFAULT_ENABLED` The default value to enable / disable authentication.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationOptions()`
    `AuthenticationOptions(AuthenticationOptions other)`
    `AuthenticationOptions(JsonObject json)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()`
    `String` | `getSecret()`
    `boolean` | `isEnabled()`
    `AuthenticationOptions` | `setEnabled(boolean enabled)` Set whether authentication is enabled.
    `AuthenticationOptions` | `setId(String id)` Set the identifier used for authentication.
    `AuthenticationOptions` | `setSecret(String secret)` Set the secret used for authentication.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_ENABLED

          public static final boolean DEFAULT_ENABLED

      The default value to enable / disable authentication. Disabled by default.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AuthenticationOptions

          public AuthenticationOptions()

    - #### AuthenticationOptions

          public AuthenticationOptions(AuthenticationOptions other)

    - #### AuthenticationOptions

          public AuthenticationOptions(JsonObject json)

  - ### Method Detail

    - #### getId

          public String getId()

      Returns:
        the identifier used for authentication

    - #### setId

          public AuthenticationOptions setId(String id)

      Set the identifier used for authentication.

    - #### getSecret

          public String getSecret()

      Returns:
        the secret used for authentication

    - #### setSecret

          public AuthenticationOptions setSecret(String secret)

      Set the secret used for authentication.

    - #### isEnabled

          public boolean isEnabled()

      Returns:
        true if authentication is enabled

    - #### setEnabled

          public AuthenticationOptions setEnabled(boolean enabled)

      Set whether authentication is enabled. Defaults to `false`.

Copyright © 2016. All rights reserved.